Collect Posts by URL
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>"
}
]
}
'[
{
"id": "2039126434510418303",
"user_posted": "CozHealsSEN",
"name": "SENQ Breakfast",
"description": "LISTEN: North Queensland Cowboys front rower Matt Lodge joins Corey Parker and Andrew McCullough to discuss this weekend's match up against the Dragons",
"date_posted": "2026-03-31T23:43:21.000Z",
"photos": ["https://pbs.twimg.com/..."],
"url": "https://x.com/CozHealsSEN/status/2039126434510418303",
"quoted_post": null,
"tagged_users": null,
"replies": 0,
"reposts": 4,
"likes": 7,
"views": 726,
"external_url": "https://...",
"hashtags": null,
"followers": 814,
"biography": "QLD brekkie show with Corey Parker & Ian Healy.",
"posts_count": 4862,
"profile_image_link": "https://pbs.twimg.com/...",
"following": 430,
"is_verified": null,
"quotes": 0,
"bookmarks": 0,
"parent_post_details": {
"date_posted": "2026-03-31T23:43:21.000Z",
"post_id": "2039126434510418303",
"profile_id": "889656535722360833",
"profile_name": "SENQ Breakfast"
},
"videos": null,
"verification_type": null,
"user_id": "889656535722360833"
}
]
X (Twitter)
Collect X (Twitter) posts by URL
Use the Bright Data Web Scraper API to collect X (Twitter) posts by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
Collect Posts by URL
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>"
}
]
}
'[
{
"id": "2039126434510418303",
"user_posted": "CozHealsSEN",
"name": "SENQ Breakfast",
"description": "LISTEN: North Queensland Cowboys front rower Matt Lodge joins Corey Parker and Andrew McCullough to discuss this weekend's match up against the Dragons",
"date_posted": "2026-03-31T23:43:21.000Z",
"photos": ["https://pbs.twimg.com/..."],
"url": "https://x.com/CozHealsSEN/status/2039126434510418303",
"quoted_post": null,
"tagged_users": null,
"replies": 0,
"reposts": 4,
"likes": 7,
"views": 726,
"external_url": "https://...",
"hashtags": null,
"followers": 814,
"biography": "QLD brekkie show with Corey Parker & Ian Healy.",
"posts_count": 4862,
"profile_image_link": "https://pbs.twimg.com/...",
"following": 430,
"is_verified": null,
"quotes": 0,
"bookmarks": 0,
"parent_post_details": {
"date_posted": "2026-03-31T23:43:21.000Z",
"post_id": "2039126434510418303",
"profile_id": "889656535722360833",
"profile_name": "SENQ Breakfast"
},
"videos": null,
"verification_type": null,
"user_id": "889656535722360833"
}
]
Query Parameters
The dataset ID used for this request.
Must be set to
gd_lwxkxvnf1cynvib9co to collect Posts by URL data.Whether to send notifications when the request is completed.
Whether to include errors in the response.
Request Body
[
{
"id": "2039126434510418303",
"user_posted": "CozHealsSEN",
"name": "SENQ Breakfast",
"description": "LISTEN: North Queensland Cowboys front rower Matt Lodge joins Corey Parker and Andrew McCullough to discuss this weekend's match up against the Dragons",
"date_posted": "2026-03-31T23:43:21.000Z",
"photos": ["https://pbs.twimg.com/..."],
"url": "https://x.com/CozHealsSEN/status/2039126434510418303",
"quoted_post": null,
"tagged_users": null,
"replies": 0,
"reposts": 4,
"likes": 7,
"views": 726,
"external_url": "https://...",
"hashtags": null,
"followers": 814,
"biography": "QLD brekkie show with Corey Parker & Ian Healy.",
"posts_count": 4862,
"profile_image_link": "https://pbs.twimg.com/...",
"following": 430,
"is_verified": null,
"quotes": 0,
"bookmarks": 0,
"parent_post_details": {
"date_posted": "2026-03-31T23:43:21.000Z",
"post_id": "2039126434510418303",
"profile_id": "889656535722360833",
"profile_name": "SENQ Breakfast"
},
"videos": null,
"verification_type": null,
"user_id": "889656535722360833"
}
]
Was this page helpful?
⌘I